Subject: B18: struct tm compiling bug with <time.h>?
From: [email-masked] (Pavel Matsibekker)

22 Apr 1998 05:20:24 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Has anyone run into a problem in B18 when including <time.h> with the
following error:
Date.C:260 invalid use of undefined type 'struct tm'
.....
Date.c 542: Aggregate 'struct tm now' has incomplete type and cannot be
initialized

I'm using
#include <sys/types.h>
#include <time.h>

I'm sure I'm including  time.h because I do:
#ifdef __TIME_H_
struct tm now;
#endif

Has anyone run into this before and solved it?
Please email. Thanx in advance
                                                    pavel

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".